#
# spec file for package WengoPhone NG (Version 2.1.2)
#

# norootforbuild

%define       _releaseversion 2.1.2
%define       _with_portaudio 0

BuildRequires: SDL-devel boost-devel cmake curl-devel doxygen e2fsprogs-devel
BuildRequires: gcc-c++ gnutls-devel kdebase3-devel libqt4-devel libsamplerate-devel
BuildRequires: libsndfile-devel openssl-devel speex-devel libjack-devel
BuildRequires: update-desktop-files xorg-x11-devel
#%if %{_with_portaudio}
BuildRequires: portaudio-devel
#%endif

#BuildRequires: libffmpeg0-devel

Name:         wengophone
URL:          http://www.openwengo.org/
License:      GPL
Group:        Productivity/Telephony/H323/Clients
Summary:      SIP Softphone with video and chat features
Version:      2.1.2
Release:      15.25
Source:       %{name}-%{_releaseversion}.tar.bz2
#Patch:        wengophone_qt4_crashes.patch
#Patch1:       owautoconf.diff
#Patch2:       owffmpeg-internal.diff
#Requires:     libqt4 >= 4.2 libffmpeg0
Patch:		wengophone_2.1.2.dfsg0-6.diff
Requires:     libqt4 >= 4.2
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
WengoPhone is a Voice over IP application based on standard protocols
like SIP and RTP. It enables voice, video and text chat between two
clients. Features include a contact list with presence and status,
call history and NAT traversal capability.
In conjunction with other services, WengoPhone can be used to call
regular PSTN lines and/or send SMS messages to cell phones.

Authors:
--------
    Laurent Almeras
    Philippe Bernery
    David Ferlier
    Julien Gilli
    Tanguy Krotoff
    Vadim Lebedev
    Mathieu Stute
    Jerome Wagner

%debug_package
%prep
%setup -q -n %{name}-%{_releaseversion}
%patch -p1
for PATCH in `ls -1A debian/patches/generic/*.patch` ; do
patch -p1 < ${PATCH}
done
%build
pushd build
CFLAGS="%{optflags}" \
CXXFLAGS="%{optflags}" \
cmake \
	-DCMAKE_SKIP_RPATH=ON \
	-DCMAKE_BUILD_TYPE=None \
	-DCMAKE_INSTALL_PREFIX=%{_prefix} \
%if %{_lib} == lib64
	-DLIB_SUFFIX=64 \
%endif
%if %{_with_portaudio}
	-DOWSOUND_PORTAUDIO_SUPPORT=ON \
%else
	-DOWSOUND_PORTAUDIO_SUPPORT=OFF \
%endif
	-DPORTAUDIO_INTERNAL=OFF \
	-DFFMPEG_INTERNAL=ON \
	-DSPEEX_INTERNAL=OFF \
	-DSAMPLERATE_INTERNAL=OFF \
	-DCURL_INTERNAL=OFF \
	%{_builddir}/%{name}-%{_releaseversion}
%__make %{?jobs:-j%jobs} VERBOSE=1
%__make lupdate
popd build

%install
pushd build
%makeinstall
popd build
%if %{?suse_update_desktop_file:1}0
	%suse_update_desktop_file -r %{name} Network Telephony
%endif

%__install -d "%{buildroot}%{_sysconfdir}/ld.so.conf.d"
echo "%{_libdir}/wengophone" > "%{buildroot}%{_sysconfdir}/ld.so.conf.d/wengophone.conf"

%clean
%{__rm} -rf %{buildroot}

%post
%{run_ldconfig}

%files
%defattr(-,root,root)
%{_bindir}/qtwengophone
%{_libdir}/wengophone/libowwebcam.so
#%{_libdir}/wengophone/libcoredumper.so
%{_libdir}/wengophone/libphapi.so
%{_libdir}/wengophone/libphapiutil.so
%{_libdir}/wengophone/libphamrplugin.so
%{_libdir}/wengophone/libphspeexplugin.so
%{_libdir}/wengophone/libsfp-plugin.so
%{_datadir}/wengophone
%{_datadir}/icons/hicolor
%{_datadir}/applications/wengophone.desktop
%{_sysconfdir}/ld.so.conf.d/wengophone.conf

%changelog -n wengophone
